
QGIS Application - Bug report #16078

Wrong encoding in file open / save dialog

2017-01-15 05:27 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23993

Description

File open / save dialogs are using wrong encoding to list files and thus it is not possible to access non-Latin files and folders. This has

been affecting QGIS for some time, I just have been lazy to report.

Gentoo Linux ~AMD64

locale

LANG=lv_LV.UTF-8

LC_CTYPE=lv_LV.utf8

LC_NUMERIC=lv_LV.utf8

LC_TIME=lv_LV.utf8

LC_COLLATE=lv_LV.utf8

LC_MONETARY=lv_LV.utf8

LC_MESSAGES=lv_LV.utf8

LC_PAPER=lv_LV.utf8

LC_NAME=lv_LV.utf8

LC_ADDRESS=lv_LV.utf8

LC_TELEPHONE=lv_LV.utf8

LC_MEASUREMENT=lv_LV.utf8

LC_IDENTIFICATION=lv_LV.utf8

LC_ALL=

QGIS versija 2.18.2

QGIS koda revīzija 7fe7a19

Kompilēts priekš Qt 4.8.7

Darbina ar Qt 4.8.7

Kompilēts priekš GDAL/OGR 2.0.3

Darbina ar GDAL/OGR 2.0.3

Kompilēts priekš GEOS 3.5.0-CAPI-1.9.0

Darbina ar GEOS 3.5.0-CAPI-1.9.0 r4084

PostgreSQL klienta versija 9.4.9

SpatiaLite versija 4.3.0

QWT versija 5.2.3

PROJ.4 versija 492

QScintilla2 versija 2.9.3

Šī QGIS kopija raksta atkļūdošanas informāciju.
History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
